<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_11</title>
</head>
<body>
    <h1>Ejercicio 11</h1>
    <script>
    /*11) Programa una función que calcule el factorial de un número (El factorial
     de un entero positivo n, se define como el producto de todos los números 
     enteros positivos desde 1 hasta n), pe. miFuncion(5) devolverá 120.*/



    const numFactorial = (num = undefined) => {

        if (num === undefined) return console.warn("No se ingreso un numero");
        if (typeof num !== "number") 
           return console.warn(`El valor ingresado: ${num} no es un numero`);
        if (num === 0) return console.warn("El numero no puede ser '0'");
        if (Math.sign(num) === -1) 
           return console.warn("No se puede ingresar un numero negativo");

        let total = 1;
        for (i = 1; i <= num; i++) {
            total *= i; 
        }
        return console.log(`El Factorial de ${num} es: ${total}`);         
    }

    numFactorial(5);
    numFactorial();
    numFactorial(-5);
    numFactorial("5");

    </script>
    
</body>
</html>